# SPDX-License-Identifier: Apache-2.0
# Copyright IBM Corp 2023

apiVersion: v1
kind: Service
metadata:
  name: {{ include "mdm-api.fullname" . }}
  labels:
    {{- include "mdm-api.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: 8090
      port: 8090
      protocol: TCP
      name: mdm-api
  selector:
    {{- include "mdm-api.selectorLabels" . | nindent 4 }}
